Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.gateway
Class RemoteGatewayListener

    java.lang.Object
      org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
          org.jboss.soa.esb.listeners.gateway.AbstractFileGateway
              org.jboss.soa.esb.listeners.gateway.FileGatewayListener
                  org.jboss.soa.esb.listeners.gateway.RemoteGatewayListener

All Implemented Interfaces:
  java.io.Serializable, Initializable, ManagedLifecycle, ScheduledEventListener

Direct Known Subclasses:
  ReadOnlyRemoteGatewayListener

    public class RemoteGatewayListener

extends FileGatewayListener

Sample Listener Configuration:

     <ftp-listener name="FtpGateway"
      busidref="helloFTPChannel"
       maxThreads="1"
        is-gateway="true">
         <property name="pollLatencySeconds" value="5"/> <!-- Interval to poll the remote file system -->
    </ftp-listener>

Author:
  John Doe, Daniel Bevenius
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.soa.esb.listeners.gateway.AbstractFileGateway
`_deleteAfterOK, _errorDirectory, _errorSuffix, _fileFilter, _inputDirectory, _inputSuffix, _logger, _maxMillisForResponse, _postProcessDirectory, _postProcessSuffix, _renameAfterOK, _workingSuffix, config, messageComposer, serviceInvoker, targetService`

Fields inherited from class org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
`PARAM_TERMINATION_PERIOD`

Constructor Summary
`RemoteGatewayListener(ConfigTree config)`

Method Summary
`protected void` | `checkMyParms()`
`boolean` | `deleteFile(java.io.File file)`
`protected java.io.File` | `getWorkFileName(java.io.File file, java.lang.String suffix)`
`protected void` | `seeIfOkToWorkOnDir(java.io.File p_oDir)`

Methods inherited from class org.jboss.soa.esb.listeners.gateway.FileGatewayListener
`checkInputSuffix`

Methods inherited from class org.jboss.soa.esb.listeners.gateway.AbstractFileGateway
`doDestroy, doInitialise, doStart, doStop, doThreadedDestroy, getFileInputDirectory, initialize, onSchedule, setFileWorking, uninitialize`

Methods inherited from class org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
`addManagedLifecycleEventListener, changeState, destroy, getConfig, getState, getTerminationPeriod, initialise, removeManagedLifecycleEventListener, start, stop, waitUntilDestroyed, waitUntilDestroyed, waitUntilNotState, waitUntilState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteGatewayListener

    public RemoteGatewayListener(ConfigTree config)
                          throws ConfigurationException,
                                 RegistryException,
                                 GatewayException

Throws:
  `ConfigurationException`
  `RegistryException`
  `GatewayException`

Method Detail

### checkMyParms

    protected void checkMyParms()
                         throws ConfigurationException,
                                RegistryException,
                                GatewayException

  Throws:
    `ConfigurationException`
    `RegistryException`
    `GatewayException`

### seeIfOkToWorkOnDir

    protected void seeIfOkToWorkOnDir(java.io.File p_oDir)

  Overrides:
    `seeIfOkToWorkOnDir` in class `FileGatewayListener`

### deleteFile

    public boolean deleteFile(java.io.File file)
                       throws GatewayException

  Throws:
    `GatewayException`

### getWorkFileName

    protected java.io.File getWorkFileName(java.io.File file,
                                           java.lang.String suffix)

  Overrides:
    `getWorkFileName` in class `AbstractFileGateway`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD